<?xml version='1.0' encoding='utf-8 '?>
<Group id='FOSS Config'>
<!-- version of FOSSConfig.xml should be maintained -->
<version>"0.1a"</version>
<!-- defaults will be used unless any mode overrides dynamic params -->
<!-- note that all dynamic parameters should be included for each mode -->
<default>
<!-- defaults for dynamic parameters -->
<ContrastStrength units='uint'>0</ContrastStrength>
<StaticSceneThreshold units = 'uint'>10</StaticSceneThreshold>
<LutUpdateDelayCount units = 'uint'>5</LutUpdateDelayCount>

<PowerSaveRatioTableLength units='uint'>4</PowerSaveRatioTableLength>
<PowerSaveRatioInput units='uint'>200 250 700 788</PowerSaveRatioInput>
<PowerSaveRatioOutput units='uint'>255 204 204 204</PowerSaveRatioOutput>
<!-- static parameters below -->
<MaxBrightnessLevel units='uint'>10000</MaxBrightnessLevel>
<LowBrightnessCutoff units='uint'>20</LowBrightnessCutoff>
<LuxEndPoint units='uint'>3000</LuxEndPoint>
<EnableGradientDetection units='uint'>0</EnableGradientDetection>
<GradientDetectionThreshold units='uint'>80</GradientDetectionThreshold>

<PowerProfileTableLength units='uint'>8</PowerProfileTableLength>
<PowerProfileInput units='uint'>0 36 72 109 145 182 218 255</PowerProfileInput>
<PowerProfileOutput units='uint'>0 16 66 158 290 476 723 1023</PowerProfileOutput>
<LutUpdateSpeedTableLength units='uint'>4</LutUpdateSpeedTableLength>
<LutUpdateSpeedInput units='uint'>55 128 175 204</LutUpdateSpeedInput>
<LutUpdateSpeedOutput units='uint'>2 2 2 2</LutUpdateSpeedOutput>
</default>
<!-- min foss level mode -->
<mode id='0'>
<description>"MIN"</description>
<ContrastStrength units='uint'>0</ContrastStrength>
<StaticSceneThreshold units = 'uint'>10</StaticSceneThreshold>
<LutUpdateDelayCount units = 'uint'>5</LutUpdateDelayCount>
<PowerSaveRatioTableLength units='uint'>4</PowerSaveRatioTableLength>
<PowerSaveRatioInput units='uint'>200 250 700 788</PowerSaveRatioInput>
<PowerSaveRatioOutput units='uint'>255 255 255 255</PowerSaveRatioOutput>
</mode>
<mode id='1'>
<ContrastStrength units='uint'>0</ContrastStrength>
<StaticSceneThreshold units = 'uint'>10</StaticSceneThreshold>
<LutUpdateDelayCount units = 'uint'>5</LutUpdateDelayCount>
<PowerSaveRatioTableLength units='uint'>4</PowerSaveRatioTableLength>
<PowerSaveRatioInput units='uint'>200 250 700 788</PowerSaveRatioInput>
<PowerSaveRatioOutput units='uint'>255 245 245 245</PowerSaveRatioOutput>
</mode>
<mode id='2'>
<ContrastStrength units='uint'>0</ContrastStrength>
<StaticSceneThreshold units = 'uint'>10</StaticSceneThreshold>
<LutUpdateDelayCount units = 'uint'>5</LutUpdateDelayCount>
<PowerSaveRatioTableLength units='uint'>4</PowerSaveRatioTableLength>
<PowerSaveRatioInput units='uint'>200 250 700 788</PowerSaveRatioInput>
<PowerSaveRatioOutput units='uint'>255 234 234 234</PowerSaveRatioOutput>
</mode>
<mode id='3'>
<ContrastStrength units='uint'>0</ContrastStrength>
<StaticSceneThreshold units = 'uint'>10</StaticSceneThreshold>
<LutUpdateDelayCount units = 'uint'>5</LutUpdateDelayCount>
<PowerSaveRatioTableLength units='uint'>4</PowerSaveRatioTableLength>
<PowerSaveRatioInput units='uint'>200 250 700 788</PowerSaveRatioInput>
<PowerSaveRatioOutput units='uint'>255 224 224 224</PowerSaveRatioOutput>
</mode>
<mode id='4'>
<ContrastStrength units='uint'>0</ContrastStrength>
<StaticSceneThreshold units = 'uint'>10</StaticSceneThreshold>
<LutUpdateDelayCount units = 'uint'>5</LutUpdateDelayCount>
<PowerSaveRatioTableLength units='uint'>4</PowerSaveRatioTableLength>
<PowerSaveRatioInput units='uint'>200 250 700 788</PowerSaveRatioInput>
<PowerSaveRatioOutput units='uint'>255 213 213 213</PowerSaveRatioOutput>
</mode>
<mode id='5'>
<ContrastStrength units='uint'>0</ContrastStrength>
<StaticSceneThreshold units = 'uint'>10</StaticSceneThreshold>
<LutUpdateDelayCount units = 'uint'>5</LutUpdateDelayCount>
<PowerSaveRatioTableLength units='uint'>4</PowerSaveRatioTableLength>
<PowerSaveRatioInput units='uint'>200 250 700 788</PowerSaveRatioInput>
<PowerSaveRatioOutput units='uint'>255 202 202 202</PowerSaveRatioOutput>
</mode>
<mode id='6'>
<ContrastStrength units='uint'>0</ContrastStrength>
<StaticSceneThreshold units = 'uint'>10</StaticSceneThreshold>
<LutUpdateDelayCount units = 'uint'>5</LutUpdateDelayCount>
<PowerSaveRatioTableLength units='uint'>4</PowerSaveRatioTableLength>
<PowerSaveRatioInput units='uint'>200 250 700 788</PowerSaveRatioInput>
<PowerSaveRatioOutput units='uint'>255 192 192 192</PowerSaveRatioOutput>
</mode>
<mode id='7'>
<ContrastStrength units='uint'>0</ContrastStrength>
<StaticSceneThreshold units = 'uint'>10</StaticSceneThreshold>
<LutUpdateDelayCount units = 'uint'>5</LutUpdateDelayCount>
<PowerSaveRatioTableLength units='uint'>4</PowerSaveRatioTableLength>
<PowerSaveRatioInput units='uint'>200 250 700 788</PowerSaveRatioInput>
<PowerSaveRatioOutput units='uint'>255 181 181 181</PowerSaveRatioOutput>
</mode>
<mode id='8'>
<ContrastStrength units='uint'>0</ContrastStrength>
<StaticSceneThreshold units = 'uint'>10</StaticSceneThreshold>
<LutUpdateDelayCount units = 'uint'>5</LutUpdateDelayCount>
<PowerSaveRatioTableLength units='uint'>4</PowerSaveRatioTableLength>
<PowerSaveRatioInput units='uint'>200 250 700 788</PowerSaveRatioInput>
<PowerSaveRatioOutput units='uint'>255 175 175 175</PowerSaveRatioOutput>
</mode>
<!-- max foss level mode -->
<mode id='9'>
<description>"MAX"</description>
<ContrastStrength units='uint'>0</ContrastStrength>
<StaticSceneThreshold units = 'uint'>10</StaticSceneThreshold>
<LutUpdateDelayCount units = 'uint'>5</LutUpdateDelayCount>
<PowerSaveRatioTableLength units='uint'>4</PowerSaveRatioTableLength>
<PowerSaveRatioInput units='uint'>200 250 700 788</PowerSaveRatioInput>
<PowerSaveRatioOutput units='uint'>255 172 172 172</PowerSaveRatioOutput>
</mode>

</Group>